Bug 16859 - Fix wrong item field name in export.pl
Summary: Fix wrong item field name in export.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 14722
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-06 13:58 UTC by Marcel de Rooy
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16859: Fix wrong item field name in export.pl (2.49 KB, patch)
2016-07-06 14:11 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16859: Fix wrong item field name in export.pl (2.29 KB, patch)
2016-07-07 03:00 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16859: Fix wrong item field name in export.pl (2.36 KB, patch)
2016-07-07 14:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-07-06 13:58:06 UTC

    
Comment 1 Marcel de Rooy 2016-07-06 14:08:42 UTC
Resolve:
DBIx::Class::ResultSet::next(): Unknown column 'callnumber' in 'where clause' at /usr/share/koha/masterclone/Koha/Objects.pm line 168
Comment 2 Marcel de Rooy 2016-07-06 14:11:19 UTC Comment hidden (obsolete)
Comment 3 Srdjan Jankovic 2016-07-07 03:00:55 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-07-07 14:46:13 UTC
Created attachment 53176 [details] [review]
Bug 16859: Fix wrong item field name in export.pl

Field callnumber should be itemcallnumber.
For completeness, prefixing the joined fields with items table prefix.

Note: You should expect Tools/Export to export only the items within a
given itemcallnumber range, but if the biblio has one item in that
range, the biblionumber is selected for export with ALL items. The script
is designed that way (first select biblio numbers based on criteria, and
run export with those biblio numbers).

Test plan:
[1] Select a biblio N with one item with say itemcallnumber X.
[2] Goto Tools/Export. Select biblio range N,N and no itemcallnumber
    range. The biblio should be exported.
[3] Select biblio range N,N and itemcallnumber range A,B. No output.
[4] Select biblio range N,N and itemcallnumber range A,<empty>. Output.
[5] Select biblio range N,N and itemcallnumber range <empty>,X. Output.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-07-08 13:01:45 UTC
Pushed to master for 16.11, thanks Marcel!
Comment 6 Frédéric Demians 2016-08-01 13:25:29 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 7 Julian Maurice 2016-08-16 14:45:27 UTC
Patch pushed to 3.22.x, will be in 3.22.10